Index: .hgignore
===================================================================
--- .hgignore	(revision 6)
+++ .hgignore	(revision 0)
@@ -9,3 +9,2 @@
 core.*
 .svn
-*.pcap
Index: ca/rebuild_tree.sh
===================================================================
--- ca/rebuild_tree.sh	(revision 13)
+++ ca/rebuild_tree.sh	(revision 0)
@@ -7,5 +7,4 @@
 # General-use client and server
 make newcert ca=mgr.testbed.aaa name=client
-make newcert ca=mgr.testbed.aaa name=client2
 make newcert ca=mgr.testbed.aaa name=server
 
@@ -41,10 +40,3 @@
 make newcert ca=eap.testbed.aaa name=gw.eap.testbed.aaa
 make newcert ca=eap.testbed.aaa name=backend.eap.testbed.aaa
-make newcert ca=eap.testbed.aaa name=supauth2.eap.testbed.aaa
 
-# Interop testbed
-make newca ca=mgr.testbed.aaa name=iop.testbed.aaa
-make newcert ca=iop.testbed.aaa name=fdrelay.iop.testbed.aaa
-make newcert ca=iop.testbed.aaa name=crcumcli.iop.testbed.aaa
-make newcert ca=iop.testbed.aaa name=crcumsrv.iop.testbed.aaa
-
Index: conf/backend.eap.testbed.aaa/freeDiameter/CMakeFlags
===================================================================
--- conf/backend.eap.testbed.aaa/freeDiameter/CMakeFlags	(revision 9)
+++ conf/backend.eap.testbed.aaa/freeDiameter/CMakeFlags	(revision 0)
@@ -1,10 +1,5 @@
 -DBUILD_DBG_MONITOR:BOOL=ON 
 -DBUILD_APP_ACCT:BOOL=ON 
--DBUILD_TESTING:BOOL=OFF 
--DCMAKE_BUILD_TYPE:STRING=DebugValgrind
+-DSKIP_TESTS:BOOL=ON 
+-DCMAKE_BUILD_TYPE:STRING=Debug 
 -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
--DBUILD_APP_DIAMEAP:BOOL=ON
--DBUILD_EAP_IDENTITY:BOOL=ON
--DBUILD_EAP_MD5:BOOL=ON
--DBUILD_EAP_TLS:BOOL=ON
-
Index: conf/backend.eap.testbed.aaa/freeDiameter/freeDiameter.conf
===================================================================
--- conf/backend.eap.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 10)
+++ conf/backend.eap.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 0)
@@ -55,9 +55,4 @@
 LoadExtension = "/root/freeDiameter/extensions/app_acct.fdx"
 		: "/root/conf/freeDiameter/app_acct.conf";
+ConnectPeer = "gw.eap.testbed.aaa" { No_TLS; };
 
-LoadExtension = "/root/freeDiameter/extensions/app_diameap.fdx"
-		: "/root/conf/freeDiameter/app_diameap.conf";
-
-ConnectPeer = "gw.eap.testbed.aaa" { No_TLS; };
-ConnectPeer = "supauth2.eap.testbed.aaa" { No_TLS; };
-
Index: conf/cli.simple.testbed.aaa/freeDiameter/CMakeFlags
===================================================================
--- conf/cli.simple.testbed.aaa/freeDiameter/CMakeFlags	(revision 5)
+++ conf/cli.simple.testbed.aaa/freeDiameter/CMakeFlags	(revision 0)
@@ -1,1 +1,1 @@
--DBUILD_TEST_APP:BOOL=ON -DBUILD_TEST_RT_ANY:BOOL=ON -DBUILD_DBG_MONITOR:BOOL=ON -DBUILD_DBG_RT:BOOL=ON -DBUILD_TESTING:BOOL=OFF -DCMAKE_BUILD_TYPE:STRING=Debug -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
+-DBUILD_TEST_APP:BOOL=ON -DBUILD_TEST_RT_ANY:BOOL=ON -DBUILD_DBG_MONITOR:BOOL=ON -DBUILD_DBG_RT:BOOL=ON -DSKIP_TESTS:BOOL=ON -DCMAKE_BUILD_TYPE:STRING=Debug -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
Index: conf/cli.simple.testbed.aaa/freeDiameter/freeDiameter.conf
===================================================================
--- conf/cli.simple.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 1)
+++ conf/cli.simple.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 0)
@@ -1,8 +1,52 @@
-# Limit the number of streams to avoid flooding the log.
+# This is a sample configuration file for freeDiameter daemon.
+
+##############################################################
+#Identity = "aaa.koganei.wide.ad.jp";
+#Realm = "wide.ad.jp";
+
+##############################################################
+#Port = 3868;
+#SecPort = 3869;
+#TLS_old_method;
+#No_TCP;
+#No_SCTP;
+#Prefer_TCP;
+#SCTP_streams = 30;
 SCTP_streams = 3;
+
+##############################################################
+#No_IP;
+#No_IPv6;
+#ListenOn = "202.249.37.5";
+#ListenOn = "2001:200:903:2::202:1";
+#ListenOn = "fe80::21c:5ff:fe98:7d62%eth0";
+
+##############################################################
 TLS_Cred = "/root/ca_data/cert.pem" , "/root/ca_data/privkey.pem";
 TLS_CA = "/root/ca_data/ca.pem";
+# TLS_CRL = "/root/ca_data/crl.pem";
 
+#TLS_Prio = "NORMAL";
+#TLS_DH_Bits = 1024;
+
+##############################################################
+#TcTimer = 30;
+#TwTimer = 30;
+
+##############################################################
 NoRelay;
+
+##############################################################
+#LoadExtension = "/path/to/extension" [ : "/optional/configuration/file" ] ;
+
+##############################################################
+#ConnectPeer = "diameterid" [ params... ] ;
+#   params: No_TCP; No_SCTP; No_IP; No_IPv6; Prefer_TCP; TLS_old_method; No_TLS;
+#           Port = 3868; TcTimer = 30; TwTimer = 30; ConnectTo = "202.249.37.5"; TLS_Prio = "NORMAL";
+
+
+##############################################################
+# -------- Test configuration ---------
+
 LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
 # LoadExtension = "/root/freeDiameter/extensions/dbg_rt.fdx";
Index: conf/cli.simple.testbed.aaa/freeDiameter/freeDiameter.conf.piotr
===================================================================
--- conf/cli.simple.testbed.aaa/freeDiameter/freeDiameter.conf.piotr	(revision 1)
+++ conf/cli.simple.testbed.aaa/freeDiameter/freeDiameter.conf.piotr	(revision 0)
@@ -1,3 +1,2 @@
-# Test configuration file for situation where there is no DNS support, we are using IP addresses for everything.
 
 Identity = "192.168.102.10";
Index: conf/eapmgr.testbed.aaa/dns/dnsmasq.conf
===================================================================
--- conf/eapmgr.testbed.aaa/dns/dnsmasq.conf	(revision 10)
+++ conf/eapmgr.testbed.aaa/dns/dnsmasq.conf	(revision 0)
@@ -11,5 +11,5 @@
 domain=eap.testbed.aaa
 
-dhcp-range=192.168.105.60,192.168.105.150,255.255.255.0,12h
+dhcp-range=192.168.105.50,192.168.105.150,255.255.255.0,12h
 
 dhcp-host=08:00:27:33:77:82,supauth
@@ -17,7 +17,4 @@
 dhcp-host=08:00:27:F0:A1:70,gw
 dhcp-host=08:00:27:D9:B0:9D,opendiam
-dhcp-host=08:00:27:63:F1:B7,supauth2
-dhcp-host=08:00:27:E5:C9:49,radpxy
-dhcp-host=08:00:27:9C:70:CE,supauth3
 
 #conf-dir=/etc/dnsmasq.d
Index: conf/eapmgr.testbed.aaa/dns/hosts
===================================================================
--- conf/eapmgr.testbed.aaa/dns/hosts	(revision 10)
+++ conf/eapmgr.testbed.aaa/dns/hosts	(revision 0)
@@ -14,9 +14,5 @@
 192.168.105.30	gw
 192.168.105.40	opendiam
-192.168.105.50	supauth2
-192.168.105.60	radpxy
-192.168.105.70	supauth3
 fde4:2c6e:55c4:105:a00:27ff:fe33:7782	supauth
-fde4:2c6e:55c4:105:a00:27ff:fef0:a170	gw
-fde4:2c6e:55c4:105:a00:27ff:fe0b:7859	backend
+fde4:2c6e:55c4:105:a00:27ff:fef0:a170	backend
 
Index: conf/gw.eap.testbed.aaa/freeDiameter/CMakeFlags
===================================================================
--- conf/gw.eap.testbed.aaa/freeDiameter/CMakeFlags	(revision 9)
+++ conf/gw.eap.testbed.aaa/freeDiameter/CMakeFlags	(revision 0)
@@ -1,9 +1,3 @@
 -DBUILD_DBG_MONITOR:BOOL=ON 
--DBUILD_APP_RADGW:BOOL=ON 
--DBUILD_RGWX_DEBUG:BOOL=ON 
--DBUILD_RGWX_AUTH:BOOL=ON 
--DBUILD_RGWX_ACCT:BOOL=ON 
--DBUILD_RGWX_ECHODROP:BOOL=ON
--DBUILD_TESTING:BOOL=OFF 
--DCMAKE_BUILD_TYPE:STRING=DebugValgrind 
--DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
+-DBUILD_APP_RADGW:BOOL=ON -DBUILD_RGWX_DEBUG:BOOL=ON -DBUILD_RGWX_AUTH:BOOL=ON -DBUILD_RGWX_ACCT:BOOL=ON -DBUILD_RGWX_ECHODROP:BOOL=ON
+-DSKIP_TESTS:BOOL=ON -DCMAKE_BUILD_TYPE:STRING=Debug -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
Index: conf/gw.eap.testbed.aaa/freeDiameter/freeDiameter.conf
===================================================================
--- conf/gw.eap.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 11)
+++ conf/gw.eap.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 0)
@@ -4,5 +4,5 @@
 NoRelay;
 
-# LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
+LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
 
 LoadExtension = "/root/freeDiameter/extensions/dict_nasreq.fdx";
@@ -12,6 +12,6 @@
 
 # "opendiam.eap.testbed.aaa" = { uri="aaa://opendiam.eap.testbed.aaa;transport=sctp"; };
-# ConnectPeer = "opendiam.eap.testbed.aaa" {   #TLS_old_Method; 
-#						No_TLS; };
+ConnectPeer = "opendiam.eap.testbed.aaa" {   #TLS_old_Method; 
+						No_TLS; };
 
 ConnectPeer = "backend.eap.testbed.aaa" { No_TLS; };
Index: conf/gw.eap.testbed.aaa/freeDiameter/rgw.conf
===================================================================
--- conf/gw.eap.testbed.aaa/freeDiameter/rgw.conf	(revision 11)
+++ conf/gw.eap.testbed.aaa/freeDiameter/rgw.conf	(revision 0)
@@ -10,12 +10,10 @@
 
 # Dump state when loop ends
-# RGWX = "/root/freeDiameter/extensions/debug.rgwx";
+RGWX = "/root/freeDiameter/extensions/debug.rgwx";
 
 
 ##################
 
-nas = 192.168.105.10 / "radiusecret" ;
-nas = 192.168.105.50 / "radiusecret2" ;
-pxy = 192.168.105.60 / "radiusecret3.2" ;
+cli = 192.168.105.10 / "radiusecret" ;
 
 
Index: conf/mgr.testbeddomain/dns/dnsmasq.d/interopmgr.testbed.aaa
===================================================================
--- conf/mgr.testbeddomain/dns/dnsmasq.d/interopmgr.testbed.aaa	(revision 0)
+++ conf/mgr.testbeddomain/dns/dnsmasq.d/interopmgr.testbed.aaa	(revision 0)
@@ -0,0 +1,1 @@
+dhcp-host=08:00:27:87:01:49,interopmgr
Index: conf/mgr.testbeddomain/dns/hosts
===================================================================
--- conf/mgr.testbeddomain/dns/hosts	(revision 12)
+++ conf/mgr.testbeddomain/dns/hosts	(revision 0)
@@ -19,5 +19,5 @@
 192.168.101.5	eapmgr
 192.168.101.6	dsmipmgr
-192.168.101.10	iopmgr
+192.168.101.10	interopmgr
 
 # winseven is also managed, but no fixed IP
Index: conf/mgr.testbeddomain/quagga/zebra.conf
===================================================================
--- conf/mgr.testbeddomain/quagga/zebra.conf	(revision 13)
+++ conf/mgr.testbeddomain/quagga/zebra.conf	(revision 0)
@@ -11,5 +11,4 @@
 ip route 192.168.115.0/24 192.168.101.3	
 ip route 192.168.105.0/24 192.168.101.5
-ip route 192.168.110.0/24 192.168.101.10
 
 ! dsmip: de 192 a 207
Index: conf/nas.a.rt.testbed.aaa/freeDiameter/CMakeFlags
===================================================================
--- conf/nas.a.rt.testbed.aaa/freeDiameter/CMakeFlags	(revision 15)
+++ conf/nas.a.rt.testbed.aaa/freeDiameter/CMakeFlags	(revision 0)
@@ -1,9 +1,1 @@
--DBUILD_TEST_APP:BOOL=ON 
--DBUILD_TEST_RT_ANY:BOOL=ON 
--DBUILD_RT_REDIRECT:BOOL=ON 
--DBUILD_DBG_MONITOR:BOOL=ON 
--DBUILD_DBG_INTERACTIVE:BOOL=ON 
--DBUILD_DBG_RT:BOOL=ON 
--DBUILD_TESTING:BOOL=OFF 
--DCMAKE_BUILD_TYPE:STRING=Debug 
--DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
+-DBUILD_TEST_APP:BOOL=ON -DBUILD_TEST_RT_ANY:BOOL=ON -DBUILD_DBG_MONITOR:BOOL=ON -DBUILD_DBG_RT:BOOL=ON -DSKIP_TESTS:BOOL=ON -DCMAKE_BUILD_TYPE:STRING=Debug -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
Index: conf/nas.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf
===================================================================
--- conf/nas.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 15)
+++ conf/nas.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 0)
@@ -1,29 +1,63 @@
+# This is a sample configuration file for freeDiameter daemon.
 
+##############################################################
+#Identity = "aaa.koganei.wide.ad.jp";
+#Realm = "wide.ad.jp";
+
+##############################################################
+#Port = 3868;
+#SecPort = 3869;
+#TLS_old_method;
+#No_TCP;
+#No_SCTP;
+#Prefer_TCP;
+#SCTP_streams = 30;
 SCTP_streams = 3;
+
+##############################################################
+#No_IP;
+#No_IPv6;
+#ListenOn = "202.249.37.5";
+#ListenOn = "2001:200:903:2::202:1";
+#ListenOn = "fe80::21c:5ff:fe98:7d62%eth0";
+
+##############################################################
 TLS_Cred = "/root/ca_data/cert.pem" , "/root/ca_data/privkey.pem";
 TLS_CA = "/root/ca_data/ca.pem";
+# TLS_CRL = "/root/ca_data/crl.pem";
+
+#TLS_Prio = "NORMAL";
+#TLS_DH_Bits = 1024;
+
+##############################################################
+#TcTimer = 30;
+#TwTimer = 30;
+
+##############################################################
 NoRelay;
 
+##############################################################
+#LoadExtension = "/path/to/extension" [ : "/optional/configuration/file" ] ;
+
+##############################################################
+#ConnectPeer = "diameterid" [ params... ] ;
+#   params: No_TCP; No_SCTP; No_IP; No_IPv6; Prefer_TCP; TLS_old_method; No_TLS;
+#           Port = 3868; TcTimer = 30; TwTimer = 30; ConnectTo = "202.249.37.5"; TLS_Prio = "NORMAL";
+
+
+##############################################################
 # -------- Test configuration ---------
 
-# LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
+LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
 # LoadExtension = "/root/freeDiameter/extensions/dbg_rt.fdx";
 # LoadExtension = "/root/freeDiameter/extensions/test_rt_any.fdx";
-
 LoadExtension = "/root/freeDiameter/extensions/test_app.fdx"
 		: "/root/conf/freeDiameter/test_app.conf";
-# LoadExtension = "/root/freeDiameter/extensions/dbg_interactive.fdx";
+LoadExtension = "/root/freeDiameter/extensions/rt_default.fdx"
+		: "/root/conf/freeDiameter/rtd.conf";
+
+# ConnectPeer = "serv.simple.testbed.aaa" ;
+ConnectPeer = "proxy.a.rt.testbed.aaa" ;
+ConnectPeer = "proxy.b.rt.testbed.aaa" ;
 
 
-LoadExtension = "/root/freeDiameter/extensions/rt_default.fdx"
-		: "/root/conf/freeDiameter/rtd.conf";
-ConnectPeer = "proxy.a.rt.testbed.aaa" ;
-		
-		
-# For failover testing:
-#ConnectPeer = "proxy.b.rt.testbed.aaa" ;
-
-# For redirect testing:
-ConnectPeer = "relay.a.rt.testbed.aaa" ;
-LoadExtension = "/root/freeDiameter/extensions/rt_redirect.fdx";
-
Index: conf/nas.a.rt.testbed.aaa/freeDiameter/rtd.conf
===================================================================
--- conf/nas.a.rt.testbed.aaa/freeDiameter/rtd.conf	(revision 15)
+++ conf/nas.a.rt.testbed.aaa/freeDiameter/rtd.conf	(revision 0)
@@ -1,4 +1,2 @@
-# Our local relay is default route for all messages
-* : "relay.a.rt.testbed.aaa" += 6; # This is "default + 1" so that it is prefered when possible
+# Our local proxy is default route for all messages
 * : "proxy.a.rt.testbed.aaa" += DEFAULT;
-* : "proxy.b.rt.testbed.aaa" += DEFAULT;
Index: conf/proxy.a.rt.testbed.aaa/freeDiameter/CMakeFlags
===================================================================
--- conf/proxy.a.rt.testbed.aaa/freeDiameter/CMakeFlags	(revision 15)
+++ conf/proxy.a.rt.testbed.aaa/freeDiameter/CMakeFlags	(revision 0)
@@ -1,6 +1,6 @@
+-DBUILD_TEST_RT_ANY:BOOL=ON \
 -DBUILD_DBG_MONITOR:BOOL=ON \
 -DBUILD_DBG_RT:BOOL=ON \
--DBUILD_TEST_NETEMUL:BOOL=ON \
--DBUILD_TESTING:BOOL=OFF \
+-DSKIP_TESTS:BOOL=ON \
 -DCMAKE_BUILD_TYPE:STRING=Debug \
 -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
Index: conf/proxy.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf
===================================================================
--- conf/proxy.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 15)
+++ conf/proxy.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 0)
@@ -1,22 +1,59 @@
+# This is a sample configuration file for freeDiameter daemon.
 
+##############################################################
+#Identity = "aaa.koganei.wide.ad.jp";
+#Realm = "wide.ad.jp";
+
+##############################################################
+#Port = 3868;
+#SecPort = 3869;
+#TLS_old_method;
+#No_TCP;
+#No_SCTP;
+#Prefer_TCP;
+#SCTP_streams = 30;
 SCTP_streams = 3;
+
+##############################################################
+#No_IP;
+#No_IPv6;
+#ListenOn = "202.249.37.5";
+#ListenOn = "2001:200:903:2::202:1";
+#ListenOn = "fe80::21c:5ff:fe98:7d62%eth0";
+
+##############################################################
 TLS_Cred = "/root/ca_data/cert.pem" , "/root/ca_data/privkey.pem";
 TLS_CA = "/root/ca_data/ca.pem";
+# TLS_CRL = "/root/ca_data/crl.pem";
+
+#TLS_Prio = "NORMAL";
+#TLS_DH_Bits = 1024;
+
+##############################################################
+#TcTimer = 30;
+#TwTimer = 30;
+
+##############################################################
 #NoRelay;
 
+##############################################################
+#LoadExtension = "/path/to/extension" [ : "/optional/configuration/file" ] ;
+
+
+##############################################################
+#ConnectPeer = "diameterid" [ params... ] ;
+#   params: No_TCP; No_SCTP; No_IP; No_IPv6; Prefer_TCP; TLS_old_method; No_TLS;
+#           Port = 3868; TcTimer = 30; TwTimer = 30; ConnectTo = "202.249.37.5"; TLS_Prio = "NORMAL";
+
+
+##############################################################
 # -------- Test configuration ---------
 
-#LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
-#LoadExtension = "/root/freeDiameter/extensions/dbg_rt.fdx";
-#LoadExtension = "/root/freeDiameter/extensions/test_rt_any.fdx";
-
+LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
+LoadExtension = "/root/freeDiameter/extensions/dbg_rt.fdx";
 LoadExtension = "/root/freeDiameter/extensions/acl_wl.fdx"
 		: "/root/conf/freeDiameter/acl_wl.conf";
-
-# For netemul tests:
-LoadExtension = "/root/freeDiameter/extensions/test_netemul.fdx"
-		: "/root/conf/freeDiameter/netemul.conf";
+# LoadExtension = "/root/freeDiameter/extensions/test_rt_any.fdx";
 
 ConnectPeer = "proxy.b.rt.testbed.aaa" ;
-ConnectPeer = "serv.b.rt.testbed.aaa" ;
 
Index: conf/proxy.b.rt.testbed.aaa/freeDiameter/CMakeFlags
===================================================================
--- conf/proxy.b.rt.testbed.aaa/freeDiameter/CMakeFlags	(revision 14)
+++ conf/proxy.b.rt.testbed.aaa/freeDiameter/CMakeFlags	(revision 0)
@@ -3,6 +3,5 @@
 -DBUILD_DICT_EAP:BOOL=OFF \
 -DBUILD_DICT_NASREQ:BOOL=OFF \
--DBUILD_TEST_NETEMUL:BOOL=ON \
--DBUILD_TESTING:BOOL=OFF \
+-DSKIP_TESTS:BOOL=ON \
 -DCMAKE_BUILD_TYPE:STRING=Debug \
 -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
Index: conf/proxy.b.rt.testbed.aaa/freeDiameter/freeDiameter.conf
===================================================================
--- conf/proxy.b.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 15)
+++ conf/proxy.b.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 0)
@@ -1,20 +1,59 @@
+# This is a sample configuration file for freeDiameter daemon.
+
+##############################################################
+#Identity = "aaa.koganei.wide.ad.jp";
+#Realm = "wide.ad.jp";
+
+##############################################################
+#Port = 3868;
+#SecPort = 3869;
+#TLS_old_method;
+#No_TCP;
+#No_SCTP;
+#Prefer_TCP;
+#SCTP_streams = 30;
 SCTP_streams = 3;
+
+##############################################################
+#No_IP;
+#No_IPv6;
+#ListenOn = "202.249.37.5";
+#ListenOn = "2001:200:903:2::202:1";
+#ListenOn = "fe80::21c:5ff:fe98:7d62%eth0";
+
+##############################################################
 TLS_Cred = "/root/ca_data/cert.pem" , "/root/ca_data/privkey.pem";
 TLS_CA = "/root/ca_data/ca.pem";
+# TLS_CRL = "/root/ca_data/crl.pem";
+
+#TLS_Prio = "NORMAL";
+#TLS_DH_Bits = 1024;
+
+##############################################################
+#TcTimer = 30;
+#TwTimer = 30;
+
+##############################################################
 #NoRelay;
 
+##############################################################
+#LoadExtension = "/path/to/extension" [ : "/optional/configuration/file" ] ;
+
+
+##############################################################
+#ConnectPeer = "diameterid" [ params... ] ;
+#   params: No_TCP; No_SCTP; No_IP; No_IPv6; Prefer_TCP; TLS_old_method; No_TLS;
+#           Port = 3868; TcTimer = 30; TwTimer = 30; ConnectTo = "202.249.37.5"; TLS_Prio = "NORMAL";
+
+
+##############################################################
 # -------- Test configuration ---------
 
-#LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
-#LoadExtension = "/root/freeDiameter/extensions/dbg_rt.fdx";
+LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
+LoadExtension = "/root/freeDiameter/extensions/dbg_rt.fdx";
+LoadExtension = "/root/freeDiameter/extensions/acl_wl.fdx"
+		: "/root/conf/freeDiameter/acl_wl.conf";
 # LoadExtension = "/root/freeDiameter/extensions/test_rt_any.fdx";
 
-LoadExtension = "/root/freeDiameter/extensions/acl_wl.fdx"
-		: "/root/conf/freeDiameter/acl_wl.conf";
+ConnectPeer = "proxy.a.rt.testbed.aaa" ;
 
-LoadExtension = "/root/freeDiameter/extensions/test_netemul.fdx"
-		: "/root/conf/freeDiameter/netemul.conf";
-		
-ConnectPeer = "proxy.a.rt.testbed.aaa" ;
-ConnectPeer = "serv.b.rt.testbed.aaa" ;
-# Realm = "a.rt.testbed.aaa" ;
Index: conf/relay.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf
===================================================================
--- conf/relay.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 15)
+++ conf/relay.a.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 0)
@@ -1,15 +1,58 @@
+# This is a sample configuration file for freeDiameter daemon.
+
+##############################################################
+#Identity = "aaa.koganei.wide.ad.jp";
+#Realm = "wide.ad.jp";
+
+##############################################################
+#Port = 3868;
+#SecPort = 3869;
+#TLS_old_method;
+#No_TCP;
+#No_SCTP;
+#Prefer_TCP;
+#SCTP_streams = 30;
 SCTP_streams = 3;
+
+##############################################################
+#No_IP;
+#No_IPv6;
+#ListenOn = "202.249.37.5";
+#ListenOn = "2001:200:903:2::202:1";
+#ListenOn = "fe80::21c:5ff:fe98:7d62%eth0";
+
+##############################################################
 TLS_Cred = "/root/ca_data/cert.pem" , "/root/ca_data/privkey.pem";
 TLS_CA = "/root/ca_data/ca.pem";
+# TLS_CRL = "/root/ca_data/crl.pem";
+
+#TLS_Prio = "NORMAL";
+#TLS_DH_Bits = 1024;
+
+##############################################################
+#TcTimer = 30;
+#TwTimer = 30;
+
+##############################################################
 #NoRelay;
 
 ##############################################################
+#LoadExtension = "/path/to/extension" [ : "/optional/configuration/file" ] ;
 
-# LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
-# LoadExtension = "/root/freeDiameter/extensions/dbg_rt.fdx";
+##############################################################
+#ConnectPeer = "diameterid" [ params... ] ;
+#   params: No_TCP; No_SCTP; No_IP; No_IPv6; Prefer_TCP; TLS_old_method; No_TLS;
+#           Port = 3868; TcTimer = 30; TwTimer = 30; ConnectTo = "202.249.37.5"; TLS_Prio = "NORMAL";
 
-ConnectPeer = "nas.a.rt.testbed.aaa" ;
-ConnectPeer = "proxy.a.rt.testbed.aaa" ;
 
-LoadExtension = "/root/freeDiameter/extensions/app_redirect.fdx"
-		: "/root/conf/freeDiameter/ard.conf";
+##############################################################
+# -------- Test configuration ---------
+
+LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
+LoadExtension = "/root/freeDiameter/extensions/dbg_rt.fdx";
+# LoadExtension = "/root/freeDiameter/extensions/test_rt_any.fdx";
+#LoadExtension = "/root/freeDiameter/extensions/test_app.fdx"
+#		: "/root/conf/freeDiameter/test_app.conf";
+
+# ConnectPeer = "serv.simple.testbed.aaa" ;
+
Index: conf/serv.b.rt.testbed.aaa/freeDiameter/CMakeFlags
===================================================================
--- conf/serv.b.rt.testbed.aaa/freeDiameter/CMakeFlags	(revision 5)
+++ conf/serv.b.rt.testbed.aaa/freeDiameter/CMakeFlags	(revision 0)
@@ -1,1 +1,1 @@
--DBUILD_TEST_APP:BOOL=ON -DBUILD_RT_DEFAULT:BOOL=OFF -DBUILD_DBG_MONITOR:BOOL=ON -DBUILD_DBG_RT:BOOL=ON -DBUILD_TESTING:BOOL=OFF -DCMAKE_BUILD_TYPE:STRING=Debug -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
+-DBUILD_TEST_APP:BOOL=ON -DBUILD_RT_DEFAULT:BOOL=OFF -DBUILD_DBG_MONITOR:BOOL=ON -DBUILD_DBG_RT:BOOL=ON -DSKIP_TESTS:BOOL=ON -DCMAKE_BUILD_TYPE:STRING=Debug -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
Index: conf/serv.b.rt.testbed.aaa/freeDiameter/freeDiameter.conf
===================================================================
--- conf/serv.b.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 15)
+++ conf/serv.b.rt.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 0)
@@ -1,13 +1,55 @@
+# This is a sample configuration file for freeDiameter daemon.
+
+##############################################################
+#Identity = "aaa.koganei.wide.ad.jp";
+#Realm = "wide.ad.jp";
+
+##############################################################
+#Port = 3868;
+#SecPort = 3869;
+#TLS_old_method;
+#No_TCP;
+#No_SCTP;
+#Prefer_TCP;
+#SCTP_streams = 30;
 SCTP_streams = 3;
+
+##############################################################
+#No_IP;
+#No_IPv6;
+#ListenOn = "202.249.37.5";
+#ListenOn = "2001:200:903:2::202:1";
+#ListenOn = "fe80::21c:5ff:fe98:7d62%eth0";
+
+##############################################################
 TLS_Cred = "/root/ca_data/cert.pem" , "/root/ca_data/privkey.pem";
 TLS_CA = "/root/ca_data/ca.pem";
+# TLS_CRL = "/root/ca_data/crl.pem";
+
+#TLS_Prio = "NORMAL";
+#TLS_DH_Bits = 1024;
+
+##############################################################
+#TcTimer = 30;
+#TwTimer = 30;
+
+##############################################################
 NoRelay;
 
+##############################################################
+#LoadExtension = "/path/to/extension" [ : "/optional/configuration/file" ] ;
+
+##############################################################
+#ConnectPeer = "diameterid" [ params... ] ;
+#   params: No_TCP; No_SCTP; No_IP; No_IPv6; Prefer_TCP; TLS_old_method; No_TLS;
+#           Port = 3868; TcTimer = 30; TwTimer = 30; ConnectTo = "202.249.37.5"; TLS_Prio = "NORMAL";
+
+
+##############################################################
 # -------- Test configuration ---------
 
-#LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
+LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
 # LoadExtension = "/root/freeDiameter/extensions/dbg_rt.fdx";
 # LoadExtension = "/root/freeDiameter/extensions/test_rt_any.fdx";
-
 LoadExtension = "/root/freeDiameter/extensions/test_app.fdx"
 		: "/root/conf/freeDiameter/test_app.conf";
@@ -15,2 +57,3 @@
 ConnectPeer = "proxy.b.rt.testbed.aaa" ;
 ConnectPeer = "proxy.a.rt.testbed.aaa" ;
+
Index: conf/serv.simple.testbed.aaa/freeDiameter/CMakeFlags
===================================================================
--- conf/serv.simple.testbed.aaa/freeDiameter/CMakeFlags	(revision 5)
+++ conf/serv.simple.testbed.aaa/freeDiameter/CMakeFlags	(revision 0)
@@ -1,1 +1,1 @@
--DBUILD_TEST_APP:BOOL=ON -DBUILD_TEST_RT_ANY:BOOL=ON -DBUILD_DBG_MONITOR:BOOL=ON -DBUILD_DBG_RT:BOOL=ON -DBUILD_TESTING:BOOL=OFF -DCMAKE_BUILD_TYPE:STRING=Debug -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
+-DBUILD_TEST_APP:BOOL=ON -DBUILD_TEST_RT_ANY:BOOL=ON -DBUILD_DBG_MONITOR:BOOL=ON -DBUILD_DBG_RT:BOOL=ON -DSKIP_TESTS:BOOL=ON -DCMAKE_BUILD_TYPE:STRING=Debug -DDEFAULT_CONF_PATH:PATH=/root/conf/freeDiameter
Index: conf/serv.simple.testbed.aaa/freeDiameter/freeDiameter.conf
===================================================================
--- conf/serv.simple.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 2)
+++ conf/serv.simple.testbed.aaa/freeDiameter/freeDiameter.conf	(revision 0)
@@ -1,16 +1,56 @@
-# Limit number of streams to avoid flooding the logs.
+# This is a sample configuration file for freeDiameter daemon.
+
+##############################################################
+#Identity = "aaa.koganei.wide.ad.jp";
+#Realm = "wide.ad.jp";
+
+##############################################################
+#Port = 3868;
+#SecPort = 3869;
+#TLS_old_method;
+#No_TCP;
+#No_SCTP;
+#Prefer_TCP;
+#SCTP_streams = 30;
 SCTP_streams = 3;
 
+##############################################################
+#No_IP;
+#No_IPv6;
+#ListenOn = "202.249.37.5";
+#ListenOn = "2001:200:903:2::202:1";
+#ListenOn = "fe80::21c:5ff:fe98:7d62%eth0";
+
+##############################################################
 TLS_Cred = "/root/ca_data/cert.pem" , "/root/ca_data/privkey.pem";
 TLS_CA = "/root/ca_data/ca.pem";
-# In the simplest testbed we don't need relay capability
+# TLS_CRL = "/root/ca_data/crl.pem";
+
+#TLS_Prio = "NORMAL";
+#TLS_DH_Bits = 1024;
+
+##############################################################
+#TcTimer = 30;
+#TwTimer = 30;
+
+##############################################################
 NoRelay;
 
-# Monitor the state of the application easily
+##############################################################
+#LoadExtension = "/path/to/extension" [ : "/optional/configuration/file" ] ;
+
+##############################################################
+#ConnectPeer = "diameterid" [ params... ] ;
+#   params: No_TCP; No_SCTP; No_IP; No_IPv6; Prefer_TCP; TLS_old_method; No_TLS;
+#           Port = 3868; TcTimer = 30; TwTimer = 30; ConnectTo = "202.249.37.5"; TLS_Prio = "NORMAL";
+
+
+##############################################################
+# -------- Test configuration ---------
+
 LoadExtension = "/root/freeDiameter/extensions/dbg_monitor.fdx";
-# The application we are running.
 LoadExtension = "/root/freeDiameter/extensions/test_app.fdx" 
 		: "/root/conf/freeDiameter/test_app.conf";
-# Connect only to the client.
+
 ConnectPeer = "cli.simple.testbed.aaa" ;
 
Index: conf/serv.simple.testbed.aaa/freeDiameter/test_app.conf
===================================================================
--- conf/serv.simple.testbed.aaa/freeDiameter/test_app.conf	(revision 2)
+++ conf/serv.simple.testbed.aaa/freeDiameter/test_app.conf	(revision 0)
@@ -1,2 +1,1 @@
-# This side is server, there is not much to configure...
 mode = server;
Index: conf/supauth.eap.testbed.aaa/wpasupplicant/wpa_supplicant.conf
===================================================================
--- conf/supauth.eap.testbed.aaa/wpasupplicant/wpa_supplicant.conf	(revision 15)
+++ conf/supauth.eap.testbed.aaa/wpasupplicant/wpa_supplicant.conf	(revision 0)
@@ -11,6 +11,5 @@
 
 	eap=TLS
-	identity="client@eap.testbed.aaa"
-#	identity="clientinvalid@eap.testbed.aaa"
+	identity="client"
 	ca_cert="/home/aaa/ca/ca_data/mgr.testbed.aaa/public/cacert.pem"
 	client_cert="/home/aaa/ca/ca_data/mgr.testbed.aaa/clients/client/cert.pem"
Index: mrb/eap_testbed.sh
===================================================================
--- mrb/eap_testbed.sh	(revision 11)
+++ mrb/eap_testbed.sh	(revision 0)
@@ -20,15 +20,9 @@
 	./vm_start.sh "eap-supauth.eap.testbed.aaa" &
 	sleep 3
-	./vm_start.sh "eap-supauth2.eap.testbed.aaa" &
-	sleep 3
 	./vm_start.sh "eap-gw.eap.testbed.aaa" &
 	sleep 3
 	./vm_start.sh "eap-backend.eap.testbed.aaa" &
 	sleep 3
-	./vm_start.sh "eap-supauth3.eap.testbed.aaa" &
-	sleep 3
-	./vm_start.sh "eap-radpxy.eap.testbed.aaa" &
-	#sleep 3
-	#./vm_start.sh "eap-opendiam.eap.testbed.aaa" &
+	./vm_start.sh "eap-opendiam.eap.testbed.aaa" &
 	
 	# Done
@@ -40,10 +34,7 @@
 	./vm_pause.sh "eap-eapmgr.testbed.aaa" &
 	./vm_pause.sh "eap-supauth.eap.testbed.aaa" &
-	./vm_pause.sh "eap-supauth2.eap.testbed.aaa" &
 	./vm_pause.sh "eap-gw.eap.testbed.aaa" &
 	./vm_pause.sh "eap-backend.eap.testbed.aaa" &
-	./vm_pause.sh "eap-supauth3.eap.testbed.aaa" &
-	./vm_pause.sh "eap-radpxy.eap.testbed.aaa" &
-	#./vm_pause.sh "eap-opendiam.eap.testbed.aaa" &
+	./vm_pause.sh "eap-opendiam.eap.testbed.aaa" &
 	wait
 	;;
@@ -53,10 +44,7 @@
 	./vm_stop.sh "eap-eapmgr.testbed.aaa" &
 	./vm_stop.sh "eap-supauth.eap.testbed.aaa" &
-	./vm_stop.sh "eap-supauth2.eap.testbed.aaa" &
 	./vm_stop.sh "eap-gw.eap.testbed.aaa" &
 	./vm_stop.sh "eap-backend.eap.testbed.aaa" &
-	./vm_stop.sh "eap-supauth3.eap.testbed.aaa" &
-	./vm_stop.sh "eap-radpxy.eap.testbed.aaa" &
-	#./vm_stop.sh "eap-opendiam.eap.testbed.aaa" &
+	./vm_stop.sh "eap-opendiam.eap.testbed.aaa" &
 	wait
 	;;
Index: mrb/fd_rebuild.sh
===================================================================
--- mrb/fd_rebuild.sh	(revision 4)
+++ mrb/fd_rebuild.sh	(revision 0)
@@ -1,3 +1,3 @@
 #!/bin/bash -x
 
-cd ../src/freeDiameter && hg pull -u
+cd ../src/freeDiameter && hg pull && hg update 
